Skip to main content
`Ctrl`+`K`

# numpy.char.join

char.join(sep, seq)

  Return a string which is the concatenation of the strings in the sequence seq.

  Calls `str.join` element-wise.

  Parameters:
    sep array-like, with `StringDType`, `bytes_`, or `str_` dtype
    seq array-like, with `StringDType`, `bytes_`, or `str_` dtype
  Returns:
    out ndarray

      Output array of `StringDType`, `bytes_` or `str_` dtype, depending on input types

  See also

  `str.join`

  Examples

      >>> import numpy as np
      >>> np.strings.join('-', 'osd')
      array('o-s-d', dtype='<U5')

      >>> np.strings.join(['-', '.'], ['ghc', 'osd'])
      array(['g-h-c', 'o.s.d'], dtype='<U5')